## ===========================================================================
##  Copyright (c) 1998-2000 K.U.Leuven
##  
##  This software is provided AS IS, without any express or implied
##  warranty.  In no event will the authors or the K.U.Leuven be held
##  liable for any damages or loss of profit arising from the use or
##  non-fitness for a particular purpose of this software.
##  
##  See file README in the home directory for details about
##  copyrights and licensing.
## ===========================================================================
##  NAME:       Makefile
##  TYPE:       makefile
##  PROJECT:    libvrml - Standard VRML'97 nodes
##  CONTENT:    Makefile.am for standard VRML'97 nodes
## ===========================================================================
##  AUTHORS:    jp      Jan Prikryl
## ===========================================================================
##  HISTORY:
##
##  31-Jan-00 20:35:15  jp      last modification
##  03-Sep-99 10:18:03  jp      created
## ===========================================================================
##
## Process this file with automake to produce Makefile.in
##

AUTOMAKE_OPTIONS = no-dependencies

noinst_LTLIBRARIES = libvrmlnode.la
libvrmlnode_la_SOURCES = \
	Anchor.C \
	AnchorP.C \
	Appearance.C \
	AppearanceP.C \
	AudioClip.C \
	AudioClipP.C \
	Background.C \
	BackgroundP.C \
	Billboard.C \
	BillboardP.C \
	Bindable.C \
	BindableP.C \
	Box.C \
	BoxP.C \
	Children.C \
	ChildrenP.C \
	Collision.C \
	CollisionP.C \
	Color.C \
	ColorInterpolator.C \
	ColorInterpolatorP.C \
	ColorP.C \
	Cone.C \
	ConeP.C \
	Coordinate.C \
	CoordinateInterpolator.C \
	CoordinateInterpolatorP.C \
	CoordinateP.C \
	Cylinder.C \
	CylinderP.C \
	CylinderSensor.C \
	CylinderSensorP.C \
	DirectionalLight.C \
	DirectionalLightP.C \
	DragSensor.C \
	DragSensorP.C \
	ElevationGrid.C \
	ElevationGridP.C \
	EnvironmentalSensor.C \
	EnvironmentalSensorP.C \
	Extrusion.C \
	ExtrusionP.C \
	Fog.C \
	FogP.C \
	FontStyle.C \
	FontStyleP.C \
	Geometry.C \
	GeometryP.C \
	Group.C \
	GroupP.C \
	Grouping.C \
	GroupingP.C \
	ImageTexture.C \
	ImageTextureP.C \
	IndexedFaceSet.C \
	IndexedFaceSetP.C \
	IndexedLineSet.C \
	IndexedLineSetP.C \
	Inline.C \
	InlineP.C \
	Interpolator.C \
	InterpolatorP.C \
	LOD.C \
	LODP.C \
	LightSource.C \
	LightSourceP.C \
	Material.C \
	MaterialP.C \
	MovieTexture.C \
	MovieTextureP.C \
	NavigationInfo.C \
	NavigationInfoP.C \
	Normal.C \
	NormalInterpolator.C \
	NormalInterpolatorP.C \
	NormalP.C \
	OrientationInterpolator.C \
	OrientationInterpolatorP.C \
	PixelTexture.C \
	PixelTextureP.C \
	PlaneSensor.C \
	PlaneSensorP.C \
	PointLight.C \
	PointLightP.C \
	PointSet.C \
	PointSetP.C \
	PointingDeviceSensor.C \
	PointingDeviceSensorP.C \
	PositionInterpolator.C \
	PositionInterpolatorP.C \
	ProximitySensor.C \
	ProximitySensorP.C \
	ScalarInterpolator.C \
	ScalarInterpolatorP.C \
	Script.C \
	ScriptP.C \
	Sensor.C \
	SensorP.C \
	Shape.C \
	ShapeP.C \
	Sound.C \
	SoundP.C \
	SoundSource.C \
	SoundSourceP.C \
	Sphere.C \
	SphereP.C \
	SphereSensor.C \
	SphereSensorP.C \
	SpotLight.C \
	SpotLightP.C \
	Switch.C \
	SwitchP.C \
	Text.C \
	TextP.C \
	Texture.C \
	TextureCoordinate.C \
	TextureCoordinateP.C \
	TextureP.C \
	TextureTransform.C \
	TextureTransformP.C \
	TimeDependent.C \
	TimeDependentP.C \
	TimeSensor.C \
	TimeSensorP.C \
	TouchSensor.C \
	TouchSensorP.C \
	Transform.C \
	TransformP.C \
	Transforming.C \
	TransformingP.C \
	Viewpoint.C \
	ViewpointP.C \
	VisibilitySensor.C \
	VisibilitySensorP.C \
	WorldInfo.C \
	WorldInfoP.C
DEPSOURCES = $(libvrmlnode_la_SOURCES)
INCLUDES = \
	-I$(top_srcdir)/VRML \
	-I$(top_srcdir)/VRML/PhBRML
vrmlheaderdir = $(includedir)/VRML
vrmlheader_HEADERS = \
	Anchor.H \
	Appearance.H \
	AudioClip.H \
	Background.H \
	Billboard.H \
	Bindable.H \
	Box.H \
	Children.H \
	Collision.H \
	Color.H \
	ColorInterpolator.H \
	Cone.H \
	Coordinate.H \
	CoordinateInterpolator.H \
	Cylinder.H \
	CylinderSensor.H \
	DirectionalLight.H \
	DragSensor.H \
	ElevationGrid.H \
	EnvironmentalSensor.H \
	Extrusion.H \
	Fog.H \
	FontStyle.H \
	Geometry.H \
	Group.H \
	Grouping.H \
	ImageTexture.H \
	IndexedFaceSet.H \
	IndexedLineSet.H \
	Inline.H \
	Interpolator.H \
	LOD.H \
	LightSource.H \
	Material.H \
	MovieTexture.H \
	NavigationInfo.H \
	Normal.H \
	NormalInterpolator.H \
	OrientationInterpolator.H \
	PixelTexture.H \
	PlaneSensor.H \
	PointLight.H \
	PointSet.H \
	PointingDeviceSensor.H \
	PositionInterpolator.H \
	ProximitySensor.H \
	ScalarInterpolator.H \
	Script.H \
	Sensor.H \
	Shape.H \
	Sound.H \
	SoundSource.H \
	Sphere.H \
	SphereSensor.H \
	SpotLight.H \
	Switch.H \
	Text.H \
	Texture.H \
	TextureCoordinate.H \
	TextureTransform.H \
	TimeDependent.H \
	TimeSensor.H \
	TouchSensor.H \
	Transform.H \
	Transforming.H \
	Viewpoint.H \
	VisibilitySensor.H \
	WorldInfo.H
EXTRA_DIST = \
	.cghead \
	0README \
	Makefile.save

include $(top_srcdir)/make.rules

## ===========================================================================
## End of Makefile.am
## ===========================================================================
